## org.eclipse.datatools.sqltools.common.ui.helpsystem
Class CommonContextProvider

    java.lang.Object
      org.eclipse.datatools.help.ContextProviderDelegate
          org.eclipse.datatools.sqltools.common.ui.helpsystem.CommonContextProvider

All Implemented Interfaces:
  org.eclipse.help.IContextProvider

    public class CommonContextProvider

extends org.eclipse.datatools.help.ContextProviderDelegate

Author:
  lihuang

Field Summary

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`CommonContextProvider()`
`CommonContextProvider(java.lang.String contextHelpPluginID)`

Method Summary

Methods inherited from class org.eclipse.datatools.help.ContextProviderDelegate
`getContext, getContextChangeMask, getSearchExpression`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonContextProvider

    public CommonContextProvider()

### CommonContextProvider

    public CommonContextProvider(java.lang.String contextHelpPluginID)